from datetime import datetime
from flask import *
import sqlite3
from dotenv import *
import os
import pandas as pd
import plotly.graph_objects as go
import re
import altair as alt



projectcard_bp = Blueprint('projectcard', __name__)

from flask import render_template
import sqlite3
import os

@projectcard_bp.route("/projectcard", methods=['GET', 'POST'])
def getProjectCard():
    # Get 'sn' from the query parameters
    sn = request.args.get('sn')  # e.g., "(34)"
    if sn:
        sn = sn.strip("()")  # Remove the parentheses

    # Connect to the database
    conn = sqlite3.connect(os.getenv('DB_PATH'))
    cursor = conn.cursor()

    # Query to fetch project details
    query = "SELECT * FROM project_delay WHERE SN = ?"
    cursor.execute(query, (sn,))
    result = cursor.fetchone()


    # Convert result to a list (if it's a tuple)
    result = list(result)

    # Now, you can modify the list
    result[8] = datetime.strptime(result[8], '%Y-%m-%d')
    result[9] = datetime.strptime(result[9], '%Y-%m-%d')
    result[10] = datetime.strptime(result[10], '%Y-%m-%d')



    # Close the connection
    conn.close()


    # Render template with the fetched result
    return render_template('projectcard.html', project=result)

